package com.qualisteo.qes;

import java.sql.Connection;
import java.sql.Statement;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.sql.DataSource;

import com.qualisteo.lib.Logging;

@WebServlet(value = "/init", loadOnStartup = 1)
public class TestStart extends HttpServlet
{
	/**
	 * Serialization version ID
	 */
	private static final long	serialVersionUID	= 1L;

	@Override
	public void init() throws ServletException
	{
		super.init();
		
		try
		{
			InitialContext initialContext = new InitialContext();
			Context context = (Context) initialContext.lookup("java:comp/env");
			DataSource ds = (DataSource) context.lookup("jdbc/QDB");
			
			Connection c = ds.getConnection();
			
			Statement stmt = c.createStatement();
			stmt.setQueryTimeout(30);
			stmt.execute("select unique_id from wes_config limit 1;");
			stmt.close();
			
			c.close();
		}
		catch(Exception e)
		{
			Logging.Log(Logging.LEVEL_ERROR, "Failed to query DB", e);
		}
	}
}
